# SdFat: SdCardFactory Class Reference

SdCardFactory Class Reference

Setup a SPI card or SDIO card. More...

`#include <SdCard.h>`

## Public Member Functions

SdCard * | newCard (SdioConfig config)
SdCard * | newCard (SdSpiConfig config)

## Detailed Description

Setup a SPI card or SDIO card.

## Member Function Documentation

## newCard() [1/2]

SdCard* SdCardFactory::newCard | ( | SdioConfig | config | ) |

inline

Initialize SDIO card.

Parameters

  [in] | config | SDIO configuration.

Returns
  generic card pointer or nullptr if SDIO is not supported.

## newCard() [2/2]

SdCard* SdCardFactory::newCard | ( | SdSpiConfig | config | ) |

inline

Initialize SPI card.

Parameters

  [in] | config | SPI configuration.

Returns
  generic card pointer.

The documentation for this class was generated from the following file:

- ArduinoSdFat/libraries/SdFat/src/SdCard/SdCard.h